<ul class="character-list">
  <app-character-list-header
    [isAdd]="isAdd"
    [isDelete]="isDelete"
    (toggleIsAdd)="setToggleAddPerson($event)"
    (toggleIsDelete)="setToggleDeletePerson($event)"
  ></app-character-list-header>
  <app-add-character
    (addPerson)="onAddPerson($event)"
    *ngIf="isAdd"
  ></app-add-character>
  <app-character-list-item
    *ngFor="let person of persons"
    [person]="person"
    [isDelete]="isDelete"
    (deletePerson)="onDeletePerson($event)"
  ></app-character-list-item>
</ul>
